/**
 * Benchmark dependencies
 */
var microtime = require('microtime')
  , path = require('path')
  , fs = require('fs')
  , common = require('../tests/common');
    
var Memcached = require('../')
  , memcached = new Memcached(common.servers.single);

/**
 * Benchmark data
 */
var message = fs.readFileSync(path.join(__dirname, '../tests/fixtures/lipsum.txt'))
  , counter = 1000
  , calls = 0;

var start = Date.now();
while(counter--){
  memcached.set('bench:1', message, 1000, function(error,ok){
    if (error || !ok){
      console.error('Operation failed at call %d', calls);
    }
    
    ++calls;
    if(calls === 1000){
      var end = Date.now() - start;
      console.log("%d calls took %d ms to execute. Thats %d ms per operation", calls, end, +(end / 1000).toFixed() );
      memcached.end();
    }
  })
};

console.log("Starting large set benchmark");