/**
 * Test dependencies
 */

var assert = require('assert')
  , should = require('should')
  , fs = require('fs')
  , common = require('./common')
  , Memcached = require('../');

global.testnumbers = global.testnumbers || 0;
Memcached.config.debug = true;

/**
 * Expresso test suite for all `get` related
 * memcached commands
 */


var memcached = new Memcached(common.servers.single)
      , message = common.alphabet(256)
      , testnr = ++global.testnumbers;
    
    memcached.set("test:" + testnr, message, 1000, function(error, ok){
      assert.ok(!error);
      ok.should.be.true;
      
      memcached.gets("test:" + testnr, function(error, answer){
        assert.ok(!error);
        assert.ok(!!answer.cas);
        
        // generate new message for the cas update
        message = common.alphabet(256);
        memcached.cas("test:" + testnr, message, answer.cas, 1000, function(error, answer){
          assert.ok(!error);
          
          memcached.get("test:" + testnr, function(error, answer){
            
            assert.ok(!error);
            answer.should.eql(message);
            
            memcached.end(); // close connections
          })
        });
      });
    });
